+ Reply to Thread
Results 1 to 4 of 4
  1. #1
    Super Member wimal's Avatar
    Discipline
    Construction
    wimal's Discipline Details
    Occupation
    cadoperator
    Discipline
    Construction
    Using
    AutoCAD 2016
    Join Date
    Oct 2011
    Location
    sri lanka
    Posts
    511

    Default Filtering GROUPD to a selection set

    Registered forum members do not see this ad.

    In my drawing there are lot of groups. By selecting through a window it can add to a selection set. After that how can I identify groups . I need filter groups in to a new selection set. Please help me.

  2. #2
    Quantum Mechanic BIGAL's Avatar
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    10,702

    Default

    Here is one example from Autodesk forums. Return a list of group names.

    Code:
    (setq  doc (vla-get-activedocument (vlax-get-acad-object)))
    (vlax-for group (vla-get-groups doc)
    (setq return (cons (vla-get-name group) return))
    )
    (mapcar 'strcase (reverse return))
    A man who never made mistakes never made anything

  3. #3
    Super Member wimal's Avatar
    Discipline
    Construction
    wimal's Discipline Details
    Occupation
    cadoperator
    Discipline
    Construction
    Using
    AutoCAD 2016
    Join Date
    Oct 2011
    Location
    sri lanka
    Posts
    511

    Default

    Quote Originally Posted by BIGAL View Post
    Here is one example from Autodesk forums. Return a list of group names.

    Code:
    (setq  doc (vla-get-activedocument (vlax-get-acad-object)))
    (vlax-for group (vla-get-groups doc)
    (setq return (cons (vla-get-name group) return))
    )
    (mapcar 'strcase (reverse return))
    Thanks Mr Bigal

  4. #4
    Super Member hanhphuc's Avatar
    Using
    AutoCAD 2007
    Join Date
    Apr 2013
    Location
    Happy Garden
    Posts
    749

    Default

    Registered forum members do not see this ad.

    hi, just to make sure 'ACAD_GROUP' not 'PICKSET' (selection set)?
    previous post titled 'group' but at the end solution was using 'selection set'

    my understanding about group 'selection'



    FWIW, Lee Mac's ssget tutorial mentioned regarding Group - 'G'
    Although a valid ssget mode string, there is no provision for passing group names as arguments to the ssget function and hence this option is only of use at the command-line during the Select objects prompt.
    Code:
    Command: SELECT
    
    Select objects: G
    
    Enter group name: A
    4 found
    
    Select objects:
    
    Command: SELECT
    
    Select objects: G
    
    Enter group name: B
    2 found
    
    Select objects:
    
    Command: SELECT
    
    Select objects: G
    
    Enter group name: A,B
    6 found
    _$ ( apply 'equal "hp" "happy" "hạnh phúc" "ハッピー" "幸福" "행복" )
    ; error: too many arguments

Similar Threads

  1. Filtering 3d solids
    By JamesBorubar in forum AutoCAD 3D Modelling & Rendering
    Replies: 25
    Last Post: 9th Jun 2017, 06:16 pm
  2. Filtering Vertices
    By grouch19 in forum AutoCAD General
    Replies: 2
    Last Post: 2nd Dec 2013, 09:57 pm
  3. Filtering Selection to Only Allow Selecting Single Dynamic Block
    By TheyCallMeJohn in forum AutoLISP, Visual LISP & DCL
    Replies: 16
    Last Post: 2nd Jul 2013, 10:13 pm
  4. Block selection set filtering but for multiple blocknames..
    By hardwired in forum AutoLISP, Visual LISP & DCL
    Replies: 3
    Last Post: 23rd Jul 2008, 12:18 pm
  5. selection preview effect - selection preview filtering
    By dusko in forum AutoCAD Beginners' Area
    Replies: 6
    Last Post: 18th Jun 2008, 08:43 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts